Results 1 to 2 of 2

Thread: IntelliJ IDEA delete "requires" section automatically

  1. #1
    Sencha User
    Join Date
    Jun 2017
    Posts
    22
    Answers
    1

    Default Answered: IntelliJ IDEA delete "requires" section automatically

    I am learning Ext JS 6.5 . I re-type source code of KitchenSink.

    Code:
    Ext.define('KitchenSink.model.Company', {
        extend: 'KitchenSink.model.Base',
        requires: [
            'KitchenSink.model.field.PhoneNumber',
            'Ext.data.proxy.Rest'
        ],
        fields: [
            {name: 'name'},
            {name: 'phone', type: 'phonenumber' },
            {name: 'price', type: 'float'},
            { name: 'priceChange', type: 'float' },
            { name: 'priceChangePct', type: 'float' },
            { name: 'priceLastChange', type: 'date', dateReadFormat: 'n/j' },
    But IntelliJ IDEA (has Ext JS plugin) automatic delete, source code become (even, it insert very strange requires command):

    Code:
    Ext.define('KitchenSink.model.Company', {
        extend: 'KitchenSink.model.Base',
    
    
        fields: [
            {name: 'name'},
            {name: 'phone', type: 'phonenumber' },
            {name: 'price', type: 'float'},
            { name: 'priceChange', type: 'float' },
            { name: 'priceChangePct', type: 'float' },
            { name: 'priceLastChange', type: 'date', dateReadFormat: 'n/j' },

    I can't take screenshot when has code snippet section "requires". If I press command + Z, it go back a very little, then it delete section "requires" automatically. Very angry.
    https://user-images.githubuserconten...73b3ddd17e.png

    Is it a bug?

  2. You can disable the automatic management of the requires array in the settings
    Attachment 56609

  3. #2
    Sencha User
    Join Date
    Sep 2014
    Location
    Central Europe
    Posts
    795
    Answers
    103

    Default

    You can disable the automatic management of the requires array in the settings
    PgSSx.png

Similar Threads

  1. Replies: 2
    Last Post: 13 Apr 2016, 2:02 PM
  2. n00b question: how to add to Ex.application "requires" section?
    By tonyhansen in forum Sencha Architect 2.x: Help & Discussions
    Replies: 6
    Last Post: 10 Dec 2012, 10:50 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •